Draft: Simmetria

From FreeCAD Documentation
Revision as of 21:36, 22 April 2019 by Renatorivo (talk | contribs)
Jump to: navigation, search
Other languages:
English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎Türkçe
Arrow-left.svg Draft Drawing.svg Disegno Pagina precedente:
Pagina successiva: Stira Draft Stretch.svg Arrow-right.svg

Draft Mirror.svg Simmetria

Posizione nel menu
Draft → Simmetria
Ambiente
Draft, Arch
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Draft Scala, Clone


Descrizione

Lo strumento Simmetria produce una copia speculare di un oggetto selezionato, usando l'operazione Specchia di Part. La copia è collegata all'oggetto originale, esattamente come un Clone. Ciò significa che se l'oggetto originale cambia forma e proprietà, anche la forma specchiata cambia.

Questo strumento può essere utilizzato su forme 2D create con Draft ma può anche essere utilizzato su molti tipi di oggetti 3D come quelli creati con Part o PartDesign o Arch.

Per creare delle copie o dei cloni e posizionarli manualmente usare Sposta, Ruota, e Clona.

Draft Mirror example.jpg

Oggetto speculare creato utilizzando una linea di riflessione


Uso

  1. Selezionare un oggetto che si desidera riflettere
  2. Premere il pulsante Draft Mirror.svg Simmetria. Se nessun oggetto è selezionato, si viene invitati a selezionarne uno.
  3. Fare clic su un primo punto nella vista 3D o digitare una coordinata e premere il pulsante Draft AddPoint.svg aggiungi punto.
  4. Fare clic su un secondo punto nella vista 3D o digitare una coordinata e premere il pulsante Draft AddPoint.svg aggiungi punto. Questi punti definiscono una linea che, insieme alla vista della telecamera, definisce un piano specchiante che viene utilizzato per creare l'oggetto specchiato.

Dopo aver creato la copia speculare, il suo legame con l'oggetto originale può essere rimosso usando lo strumento Tree Part.svg Crea una copia semplice di Part.

Una copia speculare di un oggetto Draft può essere trasformata in una Polilinea, usando Draft Downgrade.svg Retrocedi e poi Draft Upgrade.svg Promuovi.

Opzioni

  • Premere X, Y o Z dopo il primo punto per vincolare il secondo punto su un dato asse.
  • Per inserire le coordinate manualmente, è sufficiente inserire i numeri, quindi premere Invio tra ciascun componente X, Y e Z.
  • Premere R o fare clic sulla casella di controllo per attivare la modalità "relativa". Se la modalità relativa è attiva, le coordinate del secondo punto sono relative alla prima; se no, sono assolute, prese dall'origine (0,0,0).
  • Premere T oppure fare clic sulla casella di controllo per attivare la modalità "continua". Se la modalità continua è attiva, lo strumento Simmetria si riavvia dopo aver assegnato il secondo punto, consentendo di inserire un altro oggetto senza premere nuovamente il pulsante dello strumento.
  • Tenere premuto Ctrl mentre si disegna per forzare lo snap al punto di aggancio più vicino, indipendentemente dalla distanza.
  • Tenere premuto Maiusc mentre si disegna per vincolare il secondo punto in orizzontale o in verticale rispetto al primo.
  • Premere il pulsante Esc o Chiudi per interrompere il comando corrente.

Proprietà

  • DATASource: specifica l'oggetto da rispecchiare,
  • DATABase: specifica il punto base del piano speculare.
  • DATANormal: specifica la direzione normale del piano speculare.

Script

Vedere anche: Draft API e Nozioni di base sugli script di FreeCAD.

Lo strumento Simmetria può essere usato nelle macro e dalla console Python utilizzando la seguente funzione:

mirrored_list = mirror(objlist, p1, p2)
  • Crea unoggetto Simmetria di Part da una objlist, che può essere un singolo oggetto o un elenco di oggetti.
  • Til piano di riflessione è definito dalla linea costruita con i punti p1 e p2, e parallelo alla vista corrente.
  • Viene restituita una mirrored_list con i nuovi oggetti.
    • mirrored_list è un singolo oggetto o un elenco di oggetti, a seconda dell'input di objlist.

Esempio:

import FeeCAD, Draft

place = FreeCAD.Placement(FreeCAD.Vector(1000, 0, 0), FreeCAD.Rotation())
Polygon1 = Draft.makePolygon(3, 750)
Polygon2 = Draft.makePolygon(5, 750, placement=place)

p1 = FreeCAD.Vector(2000, -1000, 0)
p2 = FreeCAD.Vector(2000, 1000, 0)

Line1 = Draft.makeLine(p1, p2)
mirrored1 = Draft.mirror(Polygon1, p1, p2)

Line2 = Draft.makeLine(-p1, -p2)
mirrored2 = Draft.mirror([Polygon1, Polygon2], -p1, -p2)
Arrow-left.svg Draft Drawing.svg Disegno Pagina precedente:
Pagina successiva: Stira Draft Stretch.svg Arrow-right.svg